#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(std::vector<int> v)
{
    if(v.size()==3)
    {
        if(v[0]==2)return 0;
        else return 2;
    }
    if(v.size()==5)
    {
        if(v[0]==3)return 0;
        else return 4;
    }
    if(v.size()==7)
    {
        if(v[2]==2)return 6;
        else return 0;
    }

    return -1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
